Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6458 - hdparm source RPM fails to rebuild as a non-root user (or at all?)
Summary: hdparm source RPM fails to rebuild as a non-root user (or at all?)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: hdparm
Version: 6.1
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-28 10:10 UTC by Chris Siebenmann
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 19:49:57 UTC


Attachments (Terms of Use)

Description Chris Siebenmann 1999-10-28 10:10:34 UTC
The hdparm source RPM fails to rebuild, and cannot be
built as a normal user. There are two problems:

 First, the spec file doesn't use %defattr(-,root,root)
to set file permissions, but instead relies on being run
as root and using cp and worse, explicit
	install -m <blah> -o 0 -g 0 ...
which will fail for anyone who can't chown things, ie
anyone but root.

 Second, the spec file lists 'hdparm.lsm' as one of the
%doc files. As of the tarball in the source RPM, it's
instead 'hdparm-3.5.lsm'.

Comment 1 Bill Nottingham 2000-02-05 19:49:59 UTC
Fixed in hdparm-3.6-3.


Note You need to log in before you can comment on or make changes to this bug.